#!/bin/bash
#
# front controller
#
#-------------------------------------------------------

config=/etc/dvb/dvb.conf

if [ -f $config ]
then
    source $config
else
	echo "cannot source file [$config]"
    exit 1
fi

export config

#-------------------------------------------------------

case $1 in 

    record   )
                php ${executables}'recorder.php' $@
                ;;
    scan     ) 
                if [ "$2" = 'test' ]
                then
                    scan='false'
                else
                    scan='true'
                fi
                bash ${executables}'channels-updater.sh' "$scan" 
                ;;
    channels ) 
                bash ${executables}'list-channels.sh' 
                ;;
    margins )   
                php ${executables}'show-margins.php' 
                ;;
    get-audio-stream ) 
                bash ${executables}'get-audio-stream-from-radio-show.sh' "$2" "$3" 
                ;;
    mp4     ) 
                bash ${executables}'dvb-to-mp4.sh' "$2" "$3" 
                ;;
    repair ) 
                bash ${executables}'repair-video.sh' "$2" 
                ;;
    repair-all )
                current_dir="$PWD"

                cd ${scratch_dir}"dvb/"
                tsfiles=*

                for item in ${tsfiles[@]}
                do
                    if [ "" = "`echo "$item" | grep -P '\.ts$'`" ]
                    then
                        continue
                    fi        
                    if [ "`echo "$item" | grep -P 'repaired\.ts$'`" ]
                    then
                        continue
                    fi
                    dvb repair "$item"
                done

                cd $current_dir

                ;;
    rename-channel ) 
                php ${executables}'rename-channel.php' "$2" "$3" 
                ;;
    *     ) 
                bash ${executables}'help.sh' 
                ;;
esac
exit 0
