#!/bin/bash
#
# pull audio stream out of a recorded dvb-t 
# radio broadcast (.ts file)
#
#-------------------

source $config

if [ "$1" ]
then
    tspath=$1
else
    showHelp 'get-audio-stream'
    exit 1
fi

# override default
if [ "$2" ]
then
    radio_tmpdir=$2
fi

if [ ! "$tspath" ] || [ ! -f $tspath ]
then
  echo '.ts file ['$tspath'] does not exist'
  echo 'exiting...'
  exit 1
fi
if [ ! "$radio_tmpdir" ] || [ ! -d $radio_tmpdir ]
then
  echo '$output_dir ['$radio_tmpdir'] does not exist'
  echo 'exiting...'
  exit 1
fi

#----------------------

title=`basename $tspath | sed s/[.][.0-9a-zA-Z]*$//`
audio=${radio_tmpdir}'/'${title}'.mp2'
log_file=${radio_tmpdir}'/'${title}'_log.txt'

if [ -f "$audio" ]
then
  echo 'cannot create['$audio'] because a file with this name already exists'
  exit 1
fi

# does this repair or just split a/v..?
projectx -demux $tspath -out $radio_tmpdir -name $title

if [ ! -f $audio ]
then
  echo 'expected audio file ['$audio'] '
  echo '...was not created for some reason or other'
  exit 1
fi

rm $tspath
rm $log_file

echo 'The output file is: '$audio 
exit 0
