#!/bin/bash
#
# front controller
#
#-------------------------------------------------------
# this doesn't work - symlinked to /opt/bin/pvr so gives /opt/bin
#whereami="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/"
whereami='/opt/pvr/bin/'
config='/etc/pvr/config.sh'

if [ -f $config ]
then
    source $config
else
	echo "cannot source file [$config]"
    exit 1
fi

export config whereami

#-------------------------------------------------------

case $1 in 

    record   )
                bash ${whereami}'recorder.sh' $@
                ;;
    scan     ) 
                if [ "$2" = 'test' ]
                then
                    scan='false'
                else
                    scan='true'
                fi
                bash ${whereami}'channels-updater.sh' "$scan" 
                ;;
    channels ) 
                bash ${whereami}'list-channels.sh' 
                ;;
    margins )   
                echo 'not implemented'
                ;;
    get-audio-stream ) 
                bash ${whereami}'get-audio-stream-from-radio-show.sh' "$2" "$3" 
                ;;
    mp4     ) 
                bash ${whereami}'dvb-to-mp4.sh' "$2" "$3" 
                ;;
    repair ) 
                bash ${whereami}'repair-video.sh' "$2" 
                ;;
    repair-all )
                current_dir="$PWD"

                cd $pvr_scratch_dir
                files=*

                for item in ${files[@]}
                do
                    if [ -d "$item" ]
                    then
                        continue
                    fi        
                    if [ "" = "`echo "$item" | grep -P '\.ts$'`" ]
                    then
                        continue
                    fi        
                    if [ "`echo "$item" | grep -P 'repaired\.ts$'`" ]
                    then
                        continue
                    fi
                    pvr repair "$item"
                done

                cd $current_dir

                ;;
    rename-channel ) 
                echo 'not implemented'
                ;;
    *     ) 
                bash ${whereami}'help.sh' 
                ;;
esac
exit 0
